#include <iostream>

using namespace std;

int main(void)
{
    int n, k, brojac = 1;

    cout << "Unesite n:" << endl;
    cin >> n;
    cout << "\n";

    cout << "Unesite k:" << endl;
    cin >> k;

    int niz1[2 * n + 1], niz[n], kranjiNiz[n];

    cout << "Izgled mete:\n";
    for(int i = 0; i <= 2 * n; ++i)
    {
        niz1[i] = -n + i;
        cout << niz1[i] << " ";
    }

    cout << "\n";

    cout << "Unos oznaka svih polja koje je Marko pogodio:\n";
    for(int i = 0; i < n; ++i)
    {
        cin >> niz[i];
    }

    int pomocna;
    for(int i = 0; i < n - 1; ++i)
    {
        for(int j = i + 1; j < n; ++j)
        {
            if(niz[i] > niz[j])
            {
                pomocna = niz[i];
                niz[i]  = niz[j];
                niz[j]  = pomocna;
            }
        }
    }

    bool ima = false;
    int krajnjiBrojac = 0;
    for(int i = 0; i < n - 1; ++i)
    {
        if(niz[i] == niz[i + 1])
        {
            ++brojac;
            ima = true;
        }
        else
        {
            brojac = 1;
            ima = false;
        }
        if(ima = false && brojac >= k)
        {
            kranjiNiz[krajnjiBrojac] = niz[i];
            ++krajnjiBrojac;
        }
    }

    cout << krajnjiBrojac;

    for(int i = 0; i < krajnjiBrojac; ++i)
    {
        cout << kranjiNiz[i] << " ";
    }

    return 0;
}